import { http } from '@/utils/http/axios';

/**
 * @description: 通知列表
 */
export function noticeList(params) {
  return http.request({
    url: '/notice/list',
    method: 'get',
    params,
  });
}

/**
 * @description: 添加通知
 */
export function addNotice(params) {
  return http.request({
    url: '/notice/add',
    method: 'post',
    params,
  });
}

/**
 * @description: 编辑通知
 */
export function editNotice(params) {
  return http.request({
    url: '/notice/update',
    method: 'post',
    params,
  });
}

/**
 * @description: 通知详情
 */
export function noticeInfo(params) {
  return http.request({
    url: '/notice/view',
    method: 'get',
    params,
  });
}

/**
 * @description: 删除通知
 */
export function deleteNotice(params) {
  return http.request({
    url: '/notice/delete',
    method: 'post',
    params,
  });
}

/**
 * @description: 我的通知
 */
export function myNotice(params) {
  return http.request({
    url: '/notice/myNotice',
    method: 'get',
    params,
  });
}
